Не могу запустить Z-wave сервер на WB 6.5


#1

Добрый день!
Пытаюсь запустить Z-wave сервер. Делаю все согласно пошаговой инструкции на вики. На пункте 6 образовался затык.


На запрос: LD_LIBRARY_PATH=/opt/z-way-server/libs:$LD_LIBRARY_PATH /opt/z-way-server/z-way-server
Сервер ответил: /opt/z-way-server/z-way-server: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory

Список библиотек в папке libs:
Sent2
на порту 8083 сервер Z-wave не появился

При этом в веб интерфейсе появился пункт про Z-Wave
Sent3
с такими параметрами:


Подскажите, пжст, как решить проблему.


#2

Добрый день, Evgeniy_L!
Сталкивался с такой проблемой. Повторю установку, напишу, как решается.


#3

Посмотрел: надо установить
apt install libssl1.0.0

И запускать z-way-server командой

LD_LIBRARY_PATH=/opt/z-way-server/libs:/usr/lib/arm-linux-gnueabihf/:$LD_LIBRARY_PATH /opt/z-way-server/z-way-server

из /opt/z-way-server/


#4

Доброй ночи, @Kilpio!
Спасибо за помощь! Сервер завелся но только после:
apt --fix-broken install

а эта команда снесла
Removing wb-homa-zway (1.0.3+wb2) …
Removing wb-mqtt-zway (1.0.3+wb2) …

в вебе WB пункт про Z-wave пропал, но сервер запустился.
После переустановки пакетов командой
apt-get download wb-mqtt-zway wb-homa-zway
dpkg -i --force-all wb-mqtt-zway_1.0.3+wb2_armhf.deb wb-homa-zway_1.0.3+wb2_all.deb

веб сервер Z-wave выдает такое сообщение


#5

Помог запуск сервера командой из вики:
cd /opt/z-way-server/
LD_LIBRARY_PATH=/opt/z-way-server/libs:/usr/lib/arm-linux-gnueabihf:$LD_LIBRARY_PATH /opt/z-way-server/z-way-server


#6

Отлично! Спасибо за фидбек!
Я разобрался и успел документацию в вики поправить. Сейчас команда запуска актуальная.
wb-homa-zway и wb-mqtt-zway ломают зависимости при принудительной установке, подтверждаю. Поправим пакеты.